Package htsjdk.beta.codecs.reads.htsget

# Class HtsgetBAMDecoder

java.lang.Object
htsjdk.beta.codecs.reads.htsget.HtsgetBAMDecoder

All Implemented Interfaces:
  `HtsDecoder<SAMFileHeader,SAMRecord>`, `HtsQuery<SAMRecord>`, `ReadsDecoder`, `ReadsQuery<SAMRecord>`, `Closeable`, `AutoCloseable`, `Iterable<SAMRecord>`

Direct Known Subclasses:
  `HtsgetBAMDecoderV1_2`

public abstract class HtsgetBAMDecoder extends Object implements ReadsDecoder
Base class for concrete implementations of reads decoders that handle `BundleResourceType.FMT_READS_HTSGET_BAM` decoding.

## Constructor Summary

Constructors
Constructor
Description
`HtsgetBAMDecoder(Bundle inputBundle, ReadsDecoderOptions readsDecoderOptions)`

## Method Summary

Modifier and Type
Method
Description
`final String`
`getDisplayName()`
Get a user-friendly display name for this decoder.
`String`
`getFileFormat()`
Get the name of the file format supported by this decoder.The format name defines the underlying format handled by this decoder, and also corresponds to the format of the primary bundle resource that is required when decoding (see `BundleResourceType` and `BundleResource.getFileFormat()`).
`Bundle`
`getInputBundle()`
Get the input `Bundle` for this decoder.
`ReadsDecoderOptions`
`getReadsDecoderOptions()`
Get the `ReadsDecoderOptions` for this decoder.
`HtsVersion`
`getVersion()`
Get the version of the file format supported by this decoder.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface htsjdk.beta.plugin.HtsDecoder

`close, getHeader`

### Methods inherited from interface htsjdk.beta.plugin.interval.HtsQuery

`hasIndex, isQueryable, iterator, query, query, query, query, queryContained, queryContained, queryContained, queryOverlapping, queryOverlapping, queryOverlapping, queryStart`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface htsjdk.beta.plugin.reads.ReadsDecoder

`queryMate, queryUnmapped`

## Constructor Details

### HtsgetBAMDecoder

public HtsgetBAMDecoder(Bundle inputBundle, ReadsDecoderOptions readsDecoderOptions)

## Method Details

### getFileFormat

public String getFileFormat()
Description copied from interface: `HtsDecoder`
Get the name of the file format supported by this decoder.The format name defines the underlying format handled by this decoder, and also corresponds to the format of the primary bundle resource that is required when decoding (see `BundleResourceType` and `BundleResource.getFileFormat()`).

Specified by:
  `getFileFormat` in interface `HtsDecoder<SAMFileHeader,SAMRecord>`
Returns:
  the name of the underlying file format handled by this decoder

### getVersion

public HtsVersion getVersion()
Description copied from interface: `HtsDecoder`
Get the version of the file format supported by this decoder.

Specified by:
  `getVersion` in interface `HtsDecoder<SAMFileHeader,SAMRecord>`

### getDisplayName

public final String getDisplayName()
Description copied from interface: `HtsDecoder`
Get a user-friendly display name for this decoder.

Specified by:
  `getDisplayName` in interface `HtsDecoder<SAMFileHeader,SAMRecord>`
Returns:
  a user-friendly display name for this decoder for use in error and warning messages

### getInputBundle

public Bundle getInputBundle()
Get the input `Bundle` for this decoder.

Returns:
  the input `Bundle` for this decoder

### getReadsDecoderOptions

public ReadsDecoderOptions getReadsDecoderOptions()
Get the `ReadsDecoderOptions` for this decoder.

Returns:
  the `ReadsDecoderOptions` for this decoder.